function [ dx ] = chua( u )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

x=u(1);
y=u(2);
z=u(3);

alpha=15.6;
beta=28;
m0=-1.143;
m1=-0.714;

h=m1*x+0.5*(m0-m1)*(abs(x+1)-abs(x-1));
xdot=alpha*(y-x-h);
ydot=x-y+z;
zdot=-beta*y;

dx=[xdot ydot zdot]';



end

